### Virtual Method

# Nautilus FileInfo get_location

#### Declaration [src]

    GFile*
    get_location (
      NautilusFileInfo* file_info
    )

#### Description [src]

Returns the file location as a `GFile`. See `nautilus_file_info_get_location()` for details.

#### Return value

Type: `GFile`

A `GFile` for the location of `file_info`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.